package com.eactive.eai.transformer.util; 

import java.io.Serializable;
import java.util.Vector;

/** 
 * 1. 기능 : 관리자 화면에서 Page List를 구성하기위한 정보를 저장
 * 2. 처리 개요 : 관리자 화면에서 Page List를 구성하기위한 정보를 저장
 */

public class PageInfo implements Serializable
{ 
    private int page;
    private int rowsPerPage;
    private Vector whereItem;
    private Vector orderItem;
    
    /** 한페이지에 보여줄 라인 카운트 */
	public static final int ROWS_PER_PAGE = 10;
	
    public void setPage(int page) {
        this.page = page;   
    }
    
    public int getPage() {
        return this.page;   
    }
    
    public void setRowPerPage(int rowsPerPage) {
        this.rowsPerPage = rowsPerPage;
    }
    
    public int getRowPerPage() {
        return this.rowsPerPage;
    }
    
    public void setWhereItem(Vector whereItem) {
        this.whereItem = whereItem;
    }
    
    public Vector getWhereItem() {
        return this.whereItem;
    }
    
    public void setOrderItem(Vector orderItem) {
        this.orderItem = orderItem;
    }
    
    public Vector getOrderItem() {
        return this.orderItem;
    }
    
    /**
	 *	view page의 start row를 반환하는 method
	 *
	 *	@return	view page의 start row
	 */
	public int startrow() {
		page = page<1 ? 1 : page;
        if(this.rowsPerPage==0) rowsPerPage = ROWS_PER_PAGE;
		return (page-1)*rowsPerPage+1;
	}
	
	/**
	 *	view page의 end row를 반환하는 method
	 *
	 *	@return	view page의 end row
	 */
	public int endrow() {
		page = page<1 ? 1 : page;
		if(this.rowsPerPage==0) rowsPerPage = ROWS_PER_PAGE;
		return (page-1)*rowsPerPage+rowsPerPage;
	}    
} 
